autopkgtest gutsy debtags: erroneous package!

Bug #135497 reported by Ian Jackson autopkgtest on 2007-08-29
4
Affects Status Importance Assigned to Milestone
debtags (Ubuntu)
Medium
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 affects /ubuntu/debtags
 importance high

 Test executed for: gutsy source debtags
 Outcome: erroneous package!
  blame: arg:tmp/debtags/src/debtags_1.7.3ubuntu2.dsc dsc:debtags
  badpkg: build-depends install failed, exit code 1
  quitting: erroneous package: build-depends install failed, exit code 1

  erroneous package!

This message is automatically generated by the autopkgtest package
testing system. You are receiving it because:
 The test results appear to indicate a problem with the package
 and reports for package maintainers for gutsy are being directed to
 <email address hidden>

The test log, which is intended to be sufficient to diagnose most
failures, can be found below. However, in case this is not
sufficient, another copy can be found along with output files, saved
temporary files, and so on, at:
 http://autopkgtest.ubuntu.com/autopkgtest-output/

The test environment is an amd64 Xen guest with limited amounts of
memory. The relevant dependencies are installed for each test but
very few other packages. Most autopkgtest reports are FTBFS problems.

If you have any questions about this service please contact me at:
 Ian Jackson <email address hidden>

Regards,
Ian

- -8<-
++++++ fetching http://archive.ubuntu.com/ubuntu/dists/gutsy/main/source/Sources.gz ++++++
++++++ selecting ++++++
selected debtags (age <never-yet>, score 500000000)

Package: debtags
Binary: debtags
Version: 1.7.3ubuntu2
Priority: optional
Section: admin
Maintainer: Enrico Zini <email address hidden>
Build-Depends: c++abi2-dev, cdbs, debhelper (>> 4.1), dh-buildinfo, pkg-config, apt, libept-dev (>= 0.5.10ubuntu1), libept-dev (<< 0.6), zlib1g-dev, python-dev, python-docutils, libtagcoll2-dev (>= 2.0.4), libtagcoll2-dev (<< 2.1), libwibble-dev (>= 0.1.9), libwibble-dev (<< 0.2)
Architecture: any
Standards-Version: 3.7.2.2
Format: 1.0
Directory: pool/main/d/debtags
Files:
 e23538e10ae973fc224f0677bae6abe7 797 debtags_1.7.3ubuntu2.dsc
 164fd3ab52a0864cc5b0a0199dfadd47 805014 debtags_1.7.3ubuntu2.tar.gz
Uploaders: Arnaud Fontaine <email address hidden>

++++++ fetching http://archive.ubuntu.com/ubuntu/pool/main/d/debtags/debtags_1.7.3ubuntu2.dsc ++++++
++++++ fetching http://archive.ubuntu.com/ubuntu/pool/main/d/debtags/debtags_1.7.3ubuntu2.tar.gz ++++++
++++++ starting test ++++++
+ adt-run --tmp-dir tmp/debtags/tmp --output-dir tmp/debtags/out --log-file tmp/debtags/log --summary tmp/_summary --built-binaries-filter=__ --source tmp/debtags/src/debtags_1.7.3ubuntu2.dsc --- adt-virt-xenlvm --userv --distro=gutsy --
adt-run: trace: ** init
adt-run: trace: ** start
adt-run: trace: $ vserver: adt-virt-xenlvm --userv --distro=gutsy --
File descriptor 6 left open
adt-run: trace: @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ starting
adt-run: trace: ** open, scratch=None
File descriptor 10 left open
File descriptor 10 left open
adt-run: trace: * initialising
adt-run: trace: * no key generation needed
adt-run: trace: * reset
adt-run: trace: @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ builds ...
adt-run: trace: @@@@@@@@@@@@@@@@@@@@ dsc dsc0
adt-run: trace: * publish
adt-run: trace: $ ftparchive: sh -ec <SCRIPT> x tmp/debtags/tmp/binaries /home/iwj/.autopkgtest/gpg
adt-run: trace: $ apt-key: sh -ec <SCRIPT>
OK
Get:1 file: Release.gpg [189B]
Get:2 http://archive.ubuntu.com gutsy Release.gpg [191B]
Get:3 file: Release [724B]
Get:4 http://archive.ubuntu.com gutsy Release [65.9kB]
Ign file: Packages
Get:5 http://archive.ubuntu.com gutsy/main Packages [1090kB]
Get:6 http://archive.ubuntu.com gutsy/restricted Packages [6830B]
Get:7 http://archive.ubuntu.com gutsy/universe Packages [3942kB]
Get:8 http://archive.ubuntu.com gutsy/multiverse Packages [153kB]
Fetched 5258kB in 2s (1927kB/s)
Reading package lists...
adt-run: trace: * publish reinstall checking...
adt-run: trace: * publish install...
adt-run: trace: * publish done
adt-run: trace: $ dsc0: python -c <SCRIPT>
adt-run: trace: $ dsc0-extract: sh -ec <SCRIPT> x /root/adt-downtmp/dsc0-build/tmpdir /root/adt-downtmp/dsc0/debtags_1.7.3ubuntu2.dsc
+ spec=/root/adt-downtmp/dsc0/debtags_1.7.3ubuntu2.dsc
+ pwd
+ origpwd=/root/adt-downtmp/dsc0-build
+ cd /root/adt-downtmp/dsc0-build
+ chown adtxenu .
+ TMPDIR=/root/adt-downtmp/dsc0-build/tmpdir
+ rm -rf -- /root/adt-downtmp/dsc0-build/tmpdir
+ export TMPDIR
+ su adtxenu -c mkdir -- "$TMPDIR"
+ spec=/root/adt-downtmp/dsc0/debtags_1.7.3ubuntu2.dsc origpwd=/root/adt-downtmp/dsc0-build su adtxenu -c
   dpkg-source -x $spec

gpg: new configuration file `/home/adtxenu/.gnupg/gpg.conf' created
gpg: WARNING: options in `/home/adtxenu/.gnupg/gpg.conf' are not yet active during this run
gpg: Signature made Fri Aug 3 20:03:12 2007 UTC using DSA key ID 5662C734
gpg: Can't check signature: public key not found
dpkg-source: extracting debtags in debtags-1.7.3ubuntu2
dpkg-source: unpacking debtags_1.7.3ubuntu2.tar.gz
+ cd debtags-1.7.3ubuntu2/.
+ pwd
+ set +e
+ test -f debian/tests/control
+ echo 1
adt-run: trace: * <dsc:dsc0> build needed for binaries
adt-run: trace: $ dsc0: python -c <SCRIPT>
- -c:13: DeprecationWarning: raising a string exception is deprecated
Traceback (most recent call last):
  File "<string>", line 13, in <module>
gdebi failed (False, [], ([], [], [])): Dependency is not satisfiable: c++abi2-dev

blame: arg:tmp/debtags/src/debtags_1.7.3ubuntu2.dsc dsc:debtags
badpkg: build-depends install failed, exit code 1
adt-run: erroneous package: build-depends install failed, exit code 1
adt-run: trace: ** stop
adt-run: trace: ** close, scratch=tb-scratch~/root/adt-downtmp:-/|/root/adt-downtmp/!
++++++ RESULTS erroneous package! ++++++
++++++ bundling ++++++
++++++ uploading ++++++
++++++ contacting maintainer_email_override ++++++
++++++ tested. ++++++

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFG1T1H4qsES9Ynl2gRAp3kAJ95UV00/gQ83In5xmfwxWoowLE5mgCbBCcx
irzIuKMNPL1iaj3TmPml4xw=
=ghj+
-----END PGP SIGNATURE-----

Daniel Hahler (blueyed) wrote :

Cannot confirm.

c++abi2-dev gets provided by e.g. g++-4.2 and the package (debtags-1.7.3ubuntu2) builds fine with pbuilder.

Changed in debtags:
status: New → Invalid
Ian Jackson (ijackson) wrote :

The bug is that both g++-4.1 and g++-4.2 Provide c++abi2-dev. The dependency resolver used by autopkgtest and apt-get doesn't do automatic installation of ambiguous dependencies, while pbuilder's does.

(This is just one of the ways in which retesting with pbuilder doesn't always exactly reproduce autopkgtest bugs.)

Changed in debtags:
status: Invalid → Confirmed
Ian Jackson (ijackson) wrote :

Setting all of the ambiguous dependency bugs to Triaged / Medium.

Changed in debtags:
importance: High → Medium
status: Confirmed → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers